Categories:
  - Reading
License: MIT
WebSite: https://opacapp.net
SourceCode: https://github.com/opacapp/opacclient
IssueTracker: https://github.com/opacapp/opacclient/issues

AutoName: Web Opac
Description: |-
    This free and open source Android app enables convenient mobile access to
    catalogues and user accounts of more than 1,000 public and academic libraries,
    most of them currently in the German-speaking countries (Deutschland,
    Österreich, Schweiz), but also some in Australia, Canada, Italia, Nederland,
    Polska, United Kingdom, United States, Ελλάς and Россия.

    Features of the app:

    * Search in the catalogue of your library
    * Watchlist for books
    * Search for ISBN with barcode scanner

    And in some libraries:

    * View of lent media (also with multiple accounts)
    * Prolonging of lent books and cancellation of reservations
    * Reservation of books
    * Notification when books need to be returned (no warranty)
    * View of information about the library (e.g. opening hours)

    The list of supported libraries is available on
    [https://opacapp.net/en/libraries/ our website].

RepoType: git
Repo: https://github.com/raphaelm/opacclient.git

Builds:
  - versionName: 2.0.18
    versionCode: 54
    commit: 2.0.18
    submodules: true
    init:
      - rm -rf 3dparty/SlidingMenu/example
      - (cd 3dparty/HoloEverywhere
      - git submodule update --init
      - $$SDK$$/tools/android update project -p contrib/ActionBarSherlock/actionbarsherlock)
    androidupdate:
      - .
      - 3dparty/HoloEverywhere/library
      - 3dparty/SlidingMenu/library

  - versionName: 2.0.30
    versionCode: 66
    commit: 2.0.30
    submodules: true
    init:
      - rm -rf 3dparty/SlidingMenu/example
      - (cd 3dparty/HoloEverywhere
      - git submodule update --init
      - $$SDK$$/tools/android update project -p contrib/ActionBarSherlock/actionbarsherlock)

  - versionName: 2.0.31
    versionCode: 68
    commit: 2.0.31
    submodules: true
    prebuild: rm -rf 3dparty/SlidingMenu/example

  - versionName: 2.0.32
    versionCode: 69
    commit: 2.0.32
    submodules: true
    prebuild: rm -rf 3dparty/SlidingMenu/example

  - versionName: 2.1.0
    versionCode: 70
    commit: 2.1.0
    submodules: true
    prebuild: rm -rf 3dparty/SlidingMenu/example

  - versionName: 3.0.1
    versionCode: 74
    commit: 3.0.1
    submodules: true

  - versionName: 3.0.3
    versionCode: 76
    commit: 3.0.3
    submodules: true

  - versionName: 3.0.4
    versionCode: 77
    commit: 3.0.4
    submodules: true

  - versionName: 3.0.5
    versionCode: 79
    commit: 3.0.5
    submodules: true

  - versionName: 3.0.7
    versionCode: 81
    commit: 3.0.7
    submodules: true

  - versionName: 3.0.8
    versionCode: 82
    commit: 3.0.8
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
    rm:
      - libs/jsoup-*
      - libs/acra-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/

  - versionName: 3.0.11
    versionCode: 85
    commit: 3.0.11
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.1.0
    versionCode: 86
    commit: 3.1.0
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.1.1
    versionCode: 87
    commit: 3.1.1
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.1.2
    versionCode: 88
    commit: 3.1.2
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.1.3
    versionCode: 89
    commit: 3.1.3
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.2.0
    versionCode: 90
    commit: 3.2.0
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.2.1
    versionCode: 91
    commit: 3.2.1
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.2.2
    versionCode: 92
    commit: 3.2.2
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.3.0
    versionCode: 93
    commit: 3.3.0
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.3.1
    versionCode: 95
    commit: 3.3.1
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.3.2
    versionCode: 96
    commit: 3.3.2
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.3.3
    versionCode: 97
    commit: 3.3.3
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.3.4
    versionCode: 98
    commit: 3.3.4
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.3.5
    versionCode: 99
    commit: 3.3.5
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.3.6
    versionCode: 100
    commit: 3.3.6
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.3.7
    versionCode: 102
    commit: 3.3.7
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.3.8
    versionCode: 103
    commit: 3.3.8
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.3.9
    versionCode: 104
    commit: 3.3.9
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 3.3.10
    versionCode: 105
    commit: 3.3.10
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 4.0.3
    versionCode: 109
    disable: project structure changed
    commit: 4.0.3
    submodules: true
    srclibs:
      - ACRA@acra-4.5.0
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - libs/jsoup-*
      - libs/acra-*
      - libs/endless-*
      - libs/adapter-*
      - libs/cwac-*
    prebuild:
      - pushd $$JSoup$$
      - $$MVN3$$ package
      - popd
      - cp $$JSoup$$/target/jsoup-1.6.3.jar libs/
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp -fR $$Endless$$/src/com src/
      - cp -fR $$CWACAdapter$$/src/com src/

  - versionName: 4.0.4
    versionCode: 110
    commit: 4.0.4
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.0.6
    versionCode: 112
    commit: 4.0.6
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.1.0
    versionCode: 113
    commit: 4.1.0
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.1.2
    versionCode: 115
    commit: 4.1.2
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.1.3
    versionCode: 116
    commit: 4.1.3
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.1.4
    versionCode: 117
    commit: 4.1.4
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.1.5
    versionCode: 118
    commit: 4.1.5
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.1.6
    versionCode: 119
    commit: 4.1.6
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.1.7
    versionCode: 120
    commit: 4.1.7
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.1.8
    versionCode: 121
    commit: 4.1.8
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.1.10
    versionCode: 124
    commit: 4.1.10
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.1.11
    versionCode: 125
    commit: 4.1.11
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.2.0
    versionCode: 126
    commit: 4.2.0
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.2.1
    versionCode: 127
    commit: 4.2.1
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.3.0
    versionCode: 128
    commit: 4.3.0
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.3.1
    versionCode: 129
    commit: 4.3.1
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.3.1-1
    versionCode: 130
    commit: 4.3.1-1
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.3.2
    versionCode: 131
    commit: 4.3.2
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    rm:
      - opacclient/opacapp/libs/*
      - opacclient/meaningdetector/libs/*
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.3.3
    versionCode: 132
    commit: 4.3.3
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.3.4
    versionCode: 133
    commit: 4.3.4
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.3.5
    versionCode: 134
    disable: untrusted repo
    commit: 4.3.5
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - JSoup@jsoup-1.6.3
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/sonatype/d' ../build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/fileTree/acompile "org.bouncycastle:bcprov-jdk15on:1.51"' -e '/fileTree/acompile
        "org.apache.directory.studio:org.apache.commons.codec:1.6"' -e '/fileTree/acompile
        "commons-logging:commons-logging:1.1.3"' -e '/fileTree/acompile "org.apache.httpcomponents:fluent-hc:4.3.3"'
        -e '/fileTree/acompile "org.apache.httpcomponents:httpclient:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpclient-cache:4.3.3"' -e '/fileTree/acompile
        "org.apache.httpcomponents:httpcore:4.3.2"' -e '/fileTree/acompile "org.apache.httpcomponents:httpmime:4.3.3"'
        -e '/fileTree/acompile "org.json:json:20141113"' ../meaningdetector/build.gradle

  - versionName: 4.3.6
    versionCode: 135
    commit: 4.3.6-fdroid
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.4.0
    versionCode: 136
    commit: 4.4.0
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.4.1
    versionCode: 137
    commit: 4.4.1
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.4.2
    versionCode: 138
    commit: 4.4.2
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.4.3
    versionCode: 139
    commit: 4.4.3
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.4.4
    versionCode: 140
    commit: 4.4.4
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.4.6
    versionCode: 142
    commit: 4.4.6
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.5.1
    versionCode: 144
    commit: 4.5.1
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.5.2
    versionCode: 145
    commit: 4.5.2
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.5.3
    versionCode: 146
    commit: 4.5.3
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.5.4
    versionCode: 147
    commit: 4.5.4
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.5.5
    versionCode: 148
    commit: 4.5.5
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.5.6
    versionCode: 149
    commit: 4.5.6
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.5.7
    versionCode: 150
    commit: 4.5.7
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.5.8
    versionCode: 151
    commit: 4.5.8
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.5.9
    versionCode: 152
    commit: 4.5.9
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.5.11
    versionCode: 154
    commit: 4.5.11
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.5.12
    versionCode: 155
    commit: 4.5.12
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.5.13
    versionCode: 156
    commit: 4.5.13
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 4.5.14
    versionCode: 157
    commit: 4.5.14
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle

  - versionName: 5.0.0
    versionCode: 158
    disable: endless repo gone
    commit: 5.0.0
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - Endless@v1.2.3
      - CWACAdapter@v1.0.1
    prebuild:
      - cp -fR $$Endless$$/src/com src/main/java/
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.0.1
    versionCode: 159
    disable: crash
    commit: 5.0.1
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    prebuild:
      - echo 'repositories { maven { url "https://s3.amazonaws.com/repo.commonsware.com"
        } }' >> build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/support-v4/acompile "com.commonsware.cwac:endless:1.2.3"' build.gradle
      - sed -i -e '/support-v4/acompile "com.commonsware.cwac:adapter:1.0.1"' build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.0.2
    versionCode: 160
    disable: crash, wait for rebuild
    commit: 5.0.2
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    prebuild:
      - echo 'repositories { maven { url "https://s3.amazonaws.com/repo.commonsware.com"
        } }' >> build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/support-v4/acompile "com.commonsware.cwac:endless:1.2.3"' build.gradle
      - sed -i -e '/support-v4/acompile "com.commonsware.cwac:adapter:1.0.1"' build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.0.3
    versionCode: 161
    commit: 5.0.3
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    prebuild:
      - echo 'repositories { maven { url "https://s3.amazonaws.com/repo.commonsware.com"
        } }' >> build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/support-v4/acompile "com.commonsware.cwac:endless:1.2.3"' build.gradle
      - sed -i -e '/support-v4/acompile "com.commonsware.cwac:adapter:1.0.1"' build.gradle
    build:
      - gradle downloadJson
      - mv opacapp/src/main/assets src/main/

  - versionName: 5.0.4
    versionCode: 162
    commit: 5.0.4
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    prebuild:
      - echo 'repositories { maven { url "https://s3.amazonaws.com/repo.commonsware.com"
        } }' >> build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/support-v4/acompile "com.commonsware.cwac:endless:1.2.3"' build.gradle
      - sed -i -e '/support-v4/acompile "com.commonsware.cwac:adapter:1.0.1"' build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.0.5
    versionCode: 163
    commit: 5.0.5
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    prebuild:
      - echo 'repositories { maven { url "https://s3.amazonaws.com/repo.commonsware.com"
        } }' >> build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/support-v4/acompile "com.commonsware.cwac:endless:1.2.3"' build.gradle
      - sed -i -e '/support-v4/acompile "com.commonsware.cwac:adapter:1.0.1"' build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.0.6
    versionCode: 164
    commit: 5.0.6
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    prebuild:
      - echo 'repositories { maven { url "https://s3.amazonaws.com/repo.commonsware.com"
        } }' >> build.gradle
      - sed -i -e '/endless/d' -e '/adapter/d' build.gradle
      - sed -i -e '/support-v4/acompile "com.commonsware.cwac:endless:1.2.3"' build.gradle
      - sed -i -e '/support-v4/acompile "com.commonsware.cwac:adapter:1.0.1"' build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.0.7
    versionCode: 165
    disable: wait for upstream
    commit: 5.0.7
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - CWACWakeful@v1.0.5
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.0.8
    versionCode: 166
    commit: 5.0.8
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - CWACWakeful@v1.0.5
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.0.9
    versionCode: 167
    commit: 5.0.9
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - CWACWakeful@v1.0.5
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.0.10
    versionCode: 168
    commit: 5.0.10
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - CWACWakeful@v1.0.5
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.0.11
    versionCode: 169
    commit: 5.0.11
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - CWACWakeful@v1.0.5
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.1.0
    versionCode: 170
    commit: 5.1.0
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - CWACWakeful@v1.0.5
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.1.1
    versionCode: 171
    commit: 5.1.1
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - CWACWakeful@v1.0.5
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.1.2
    versionCode: 172
    commit: 5.1.2
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - CWACWakeful@v1.0.5
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.1.3
    versionCode: 173
    commit: 5.1.3
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - CWACWakeful@v1.0.5
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.1.4
    versionCode: 174
    commit: 5.1.4
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - CWACWakeful@v1.0.5
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.1.5
    versionCode: 175
    commit: 5.1.5
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - CWACWakeful@v1.0.5
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.1.6
    versionCode: 176
    commit: 5.1.6
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - CWACWakeful@v1.0.5
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.2.1
    versionCode: 178
    commit: 5.2.1
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - CWACWakeful@v1.0.5
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.2.2
    versionCode: 180
    commit: 5.2.2
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - CWACWakeful@v1.0.5
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.2.3
    versionCode: 181
    commit: 5.2.3
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - CWACWakeful@v1.0.5
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.2.4
    versionCode: 182
    commit: 5.2.4
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.2.5
    versionCode: 183
    commit: 5.2.5
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.2.6
    versionCode: 184
    commit: 5.2.6
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/wakeful/d' -e '/endless/d'  build.gradle
    preassemble:
      - downloadJson

  - versionName: 5.3.0
    versionCode: 185
    disable: okhttp added as jar, wait for next release
    commit: 5.3.0
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.3.1
    versionCode: 186
    commit: 5.3.1
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.3.2
    versionCode: 187
    commit: 5.3.2
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.3.3
    versionCode: 188
    commit: 5.3.3
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.4.0
    versionCode: 189
    commit: 5.4.0
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.4.1
    versionCode: 190
    commit: 5.4.1
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.4.3
    versionCode: 192
    commit: 5.4.3
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.4.4
    versionCode: 193
    commit: 5.4.4
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.4.5
    versionCode: 194
    disable: lintVitalRelease fails
    commit: 5.4.5
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.5.0
    versionCode: 195
    commit: 5.5.0
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.5.1
    versionCode: 196
    commit: 5.5.1
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.5.2
    versionCode: 197
    commit: 5.5.2
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.6.0
    versionCode: 198
    commit: 5.6.0
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.6.1
    versionCode: 199
    commit: 5.6.1
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.6.2
    versionCode: 200
    commit: 5.6.2
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.7.0
    versionCode: 201
    commit: 5.7.0
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.7.1
    versionCode: 202
    commit: 5.7.1
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 5.8.0
    versionCode: 203
    commit: 5.8.0
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 6.0.0
    versionCode: 204
    commit: 6.0.0
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 6.0.1
    versionCode: 205
    commit: 6.0.1
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 6.0.2
    versionCode: 206
    commit: 6.0.2
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 6.0.3
    versionCode: 207
    commit: 6.0.3
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 6.0.4
    versionCode: 208
    commit: 6.0.4
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 6.1.0
    versionCode: 209
    commit: 6.1.0
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 6.1.1
    versionCode: 210
    commit: 6.1.1
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 6.2.2
    versionCode: 213
    commit: 6.2.2
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 6.2.4
    versionCode: 215
    commit: 6.2.4
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 6.2.5
    versionCode: 216
    commit: 6.2.5
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 6.2.7
    versionCode: 218
    commit: 6.2.7
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapter@v1.0.1
      - Endless@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
    prebuild:
      - cp -fR $$CWACAdapter$$/src/com src/main/java/
      - cp -fR $$Endless$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    scandelete:
      - opacclient/buildSrc
    preassemble:
      - downloadJson

  - versionName: 6.2.8
    versionCode: 219
    commit: 6.2.8
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapterFork@v1.0.1
      - EndlessFork@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
      - tools/bcprov-jdk15on-146.jar
    prebuild:
      - cp -fR $$CWACAdapterFork$$/src/com src/main/java/
      - cp -fR $$EndlessFork$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    preassemble:
      - downloadJson

  - versionName: 6.3.0
    versionCode: 220
    commit: 6.3.0
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapterFork@v1.0.1
      - EndlessFork@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
      - tools/bcprov-jdk15on-146.jar
    prebuild:
      - cp -fR $$CWACAdapterFork$$/src/com src/main/java/
      - cp -fR $$EndlessFork$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    preassemble:
      - downloadJson

  - versionName: 6.3.2
    versionCode: 222
    commit: 6.3.2
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapterFork@v1.0.1
      - EndlessFork@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
      - tools/bcprov-jdk15on-146.jar
    prebuild:
      - cp -fR $$CWACAdapterFork$$/src/com src/main/java/
      - cp -fR $$EndlessFork$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    preassemble:
      - downloadJson

  - versionName: 6.3.4
    versionCode: 224
    commit: 6.3.4
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapterFork@v1.0.1
      - EndlessFork@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
      - tools/bcprov-jdk15on-146.jar
    prebuild:
      - cp -fR $$CWACAdapterFork$$/src/com src/main/java/
      - cp -fR $$EndlessFork$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    preassemble:
      - downloadJson

  - versionName: 6.3.5
    versionCode: 225
    commit: 6.3.5
    subdir: opacclient/opacapp
    submodules: true
    gradle:
      - foss
    srclibs:
      - CWACAdapterFork@v1.0.1
      - EndlessFork@v1.2.3
    rm:
      - opacclient/opacapp/libs/*.jar
      - tools/bcprov-jdk15on-146.jar
    prebuild:
      - cp -fR $$CWACAdapterFork$$/src/com src/main/java/
      - cp -fR $$EndlessFork$$/src/com src/main/java/
      - sed -i -e '/adapter/d' -e '/endless/d' build.gradle
    preassemble:
      - downloadJson

MaintainerNotes: |-
    Using commonsware maven dependencies adds READ_PHONE_STATE permission; building
    the source directly fixes this but might break more easily. Wait for next release
    to deploy.

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 6.3.5
CurrentVersionCode: 225
